package main

import (
	"github.com/gopherjs/gopherjs/js"
	"go/format"
)

func Format(source string) interface{} {
	ret, err := format.Source([]byte(source))
	if err != nil {
		return err
	}
	return ret
}

func main() {
	js.Module.Set("exports", Format)
}
